### Method

# Fwupd Device get_serial

since: 1.1.2

#### Declaration [src]

    const gchar*
    fwupd_device_get_serial (
      FwupdDevice* self
    )

#### Description [src]

Gets the serial number for the device.

Available since: 1.1.2

#### Return value

Type: `const gchar*`

A string value, or `NULL` if never set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.